org.apache.olingo.commons.api.edm.annotation

## Interface EdmIsOf

- All Superinterfaces:
    EdmAnnotatable, EdmDynamicExpression, EdmExpression

      public interface EdmIsOf
      extends EdmDynamicExpression, EdmAnnotatable

  The edm:IsOf expression evaluates a child expression and returns a Boolean value indicating whether the child expression returns the specified type

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `EdmExpression.EdmExpressionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMaxLength()` Facet MaxLength
    `Integer` | `getPrecision()` Facet Precision
    `Integer` | `getScale()` Facet Scale
    `SRID` | `getSrid()` Facet SRID
    `EdmType` | `getType()` The type which is checked again the child expression
    `EdmExpression` | `getValue()` Returns true if the child expression returns the specified typed

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmDynamicExpression

      `asAnd, asAnnotationPath, asApply, asCast, asCollection, asEq, asGe, asGt, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLe, asLt, asNavigationPropertyPath, asNe, asNot, asNull, asOr, asPath, asPropertyPath, asPropertyValue, asRecord, asUrlRef, isAnd, isAnnotationPath, isApply, isCast, isCollection, isEq, isGe, isGt, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLe, isLt, isNavigationPropertyPath, isNe, isNot, isNull, isOr, isPath, isPropertyPath, isPropertyValue, isRecord, isUrlRef`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `asConstant, asDynamic, getExpressionName, getExpressionType, isConstant, isDynamic`

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.EdmAnnotatable

      `getAnnotation, getAnnotations`

- - ### Method Detail

    - #### getMaxLength

          Integer getMaxLength()

      Facet MaxLength
      Returns:
        fact MaxLength

    - #### getPrecision

          Integer getPrecision()

      Facet Precision
      Returns:
        fact Precision

    - #### getScale

          Integer getScale()

      Facet Scale
      Returns:
        facet Scale

    - #### getSrid

          SRID getSrid()

      Facet SRID
      Returns:
        facet SRID

    - #### getType

          EdmType getType()

      The type which is checked again the child expression
      Returns:
        EdmType

    - #### getValue

          EdmExpression getValue()

      Returns true if the child expression returns the specified typed
      Returns:
        Returns true if the child expression returns the specified typed

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.